Index: inputs/GBIF/Specimen/test.xml.ref
===================================================================
--- inputs/GBIF/Specimen/test.xml.ref	(revision 5241)
+++ inputs/GBIF/Specimen/test.xml.ref	(revision 5242)
@@ -57,12 +57,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
@@ -86,7 +86,7 @@
                                     <author>$AuthorOfScientificName</author>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname><_namePart><first>$IdentifiedBy</first></_namePart></givenname>
@@ -110,12 +110,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_alt>
                                                     <1>$ScientificNameOriginal</1>
Index: inputs/MO/Specimen/test.xml.ref
===================================================================
--- inputs/MO/Specimen/test.xml.ref	(revision 5241)
+++ inputs/MO/Specimen/test.xml.ref	(revision 5242)
@@ -89,12 +89,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
@@ -118,7 +118,7 @@
                                     <author>$ScientificNameAuthor</author>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname><_namePart><first>$IdentifiedBy</first></_namePart></givenname>
Index: inputs/U/Specimen/test.xml.ref
===================================================================
--- inputs/U/Specimen/test.xml.ref	(revision 5241)
+++ inputs/U/Specimen/test.xml.ref	(revision 5242)
@@ -76,12 +76,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$Family</1>
@@ -92,7 +92,7 @@
                                     </canon_taxonconcept_id>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname><_namePart><first>$Detby</first></_namePart></givenname>
Index: inputs/NCU-NCSC/Specimen/test.xml.ref
===================================================================
--- inputs/NCU-NCSC/Specimen/test.xml.ref	(revision 5241)
+++ inputs/NCU-NCSC/Specimen/test.xml.ref	(revision 5242)
@@ -68,12 +68,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>$Full Taxon Name</identifyingtaxonomicname>
                                         </taxonconcept>
                                     </canon_taxonconcept_id>
Index: inputs/MT/Specimen/test.xml.ref
===================================================================
--- inputs/MT/Specimen/test.xml.ref	(revision 5241)
+++ inputs/MT/Specimen/test.xml.ref	(revision 5242)
@@ -44,12 +44,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$family</1>
Index: inputs/test_taxonomic_names/Taxon/test.xml.ref
===================================================================
--- inputs/test_taxonomic_names/Taxon/test.xml.ref	(revision 5241)
+++ inputs/test_taxonomic_names/Taxon/test.xml.ref	(revision 5242)
@@ -11,12 +11,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>$scientificName</identifyingtaxonomicname>
                                         </taxonconcept>
                                     </canon_taxonconcept_id>
Index: inputs/TEAM/VL/test.xml.ref
===================================================================
--- inputs/TEAM/VL/test.xml.ref	(revision 5241)
+++ inputs/TEAM/VL/test.xml.ref	(revision 5242)
@@ -46,12 +46,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$Family</1>
Index: inputs/TEAM/VT/test.xml.ref
===================================================================
--- inputs/TEAM/VT/test.xml.ref	(revision 5241)
+++ inputs/TEAM/VT/test.xml.ref	(revision 5242)
@@ -46,12 +46,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$Family</1>
Index: inputs/NY/Specimen/test.xml.ref
===================================================================
--- inputs/NY/Specimen/test.xml.ref	(revision 5241)
+++ inputs/NY/Specimen/test.xml.ref	(revision 5242)
@@ -117,12 +117,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
@@ -147,7 +147,7 @@
                                     <class>$Class</class>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname><_namePart><first>$IdentifiedBy</first></_namePart></givenname>
Index: inputs/Madidi/Organism/test.xml.ref
===================================================================
--- inputs/Madidi/Organism/test.xml.ref	(revision 5241)
+++ inputs/Madidi/Organism/test.xml.ref	(revision 5242)
@@ -72,12 +72,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_alt>
                                                     <1>$Specie+autor</1>
@@ -105,7 +105,7 @@
                                     <author>$Autor (revised)</author>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname><_namePart><first>$Determined by</first></_namePart></givenname>
@@ -130,12 +130,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$Field family</1>
Index: inputs/UNCC/Specimen/test.xml.ref
===================================================================
--- inputs/UNCC/Specimen/test.xml.ref	(revision 5241)
+++ inputs/UNCC/Specimen/test.xml.ref	(revision 5242)
@@ -74,12 +74,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
Index: inputs/ACAD/Specimen/test.xml.ref
===================================================================
--- inputs/ACAD/Specimen/test.xml.ref	(revision 5241)
+++ inputs/ACAD/Specimen/test.xml.ref	(revision 5242)
@@ -77,12 +77,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_alt>
                                                     <1>$scientificName</1>
@@ -117,7 +117,7 @@
                                     <class>$class</class>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname><_namePart><first>$identifiedBy</first></_namePart></givenname>
Index: inputs/SALVIAS-CSV/Organism/test.xml.ref
===================================================================
--- inputs/SALVIAS-CSV/Organism/test.xml.ref	(revision 5241)
+++ inputs/SALVIAS-CSV/Organism/test.xml.ref	(revision 5242)
@@ -149,12 +149,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
@@ -205,12 +205,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$orig_family</1>
Index: inputs/CVS/Organism/test.xml.ref
===================================================================
--- inputs/CVS/Organism/test.xml.ref	(revision 5241)
+++ inputs/CVS/Organism/test.xml.ref	(revision 5242)
@@ -33,12 +33,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>$currentTaxonName sec Weakley 2006</identifyingtaxonomicname>
                                         </taxonconcept>
                                     </canon_taxonconcept_id>
Index: inputs/REMIB/Specimen/test.xml.ref
===================================================================
--- inputs/REMIB/Specimen/test.xml.ref	(revision 5241)
+++ inputs/REMIB/Specimen/test.xml.ref	(revision 5242)
@@ -66,12 +66,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$family</1>
Index: inputs/CTFS/StemObservation/test.xml.ref
===================================================================
--- inputs/CTFS/StemObservation/test.xml.ref	(revision 5241)
+++ inputs/CTFS/StemObservation/test.xml.ref	(revision 5242)
@@ -43,12 +43,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
Index: inputs/CTFS/TaxonOccurrence/test.xml.ref
===================================================================
--- inputs/CTFS/TaxonOccurrence/test.xml.ref	(revision 5241)
+++ inputs/CTFS/TaxonOccurrence/test.xml.ref	(revision 5242)
@@ -14,12 +14,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$Family</1>
Index: inputs/FIA/Organism/test.xml.ref
===================================================================
--- inputs/FIA/Organism/test.xml.ref	(revision 5241)
+++ inputs/FIA/Organism/test.xml.ref	(revision 5242)
@@ -64,12 +64,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <2>$Genus</2>
Index: inputs/SALVIAS/plotObservations/test.xml.ref
===================================================================
--- inputs/SALVIAS/plotObservations/test.xml.ref	(revision 5241)
+++ inputs/SALVIAS/plotObservations/test.xml.ref	(revision 5242)
@@ -120,12 +120,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
@@ -176,12 +176,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$OrigFamily</1>
